    import {VoteAccount} from '@solana/web3'

public class | source

# VoteAccount

VoteAccount class

## Static Method Summary

Static Public Methods
public static | fromAccountData(buffer: Buffer): VoteAccount Deserialize VoteAccount from the account data. |

## Member Summary

Public Members
public | authorizedVoterPubkey: PublicKey |
public | commission: number |
public | credits: number |
public | epoch: number |
public | epochCredits: Array<EpochCredits> |
public | lastEpochCredits: number |
public | nodePubkey: PublicKey |
public | rootSlot: number | nullliteral |
public | votes: Array<Lockout> |

## Static Public Methods

### public static fromAccountData(buffer: Buffer): VoteAccount source

Deserialize VoteAccount from the account data.

#### Params:

Name | Type | Attribute | Description
buffer | Buffer |  | account data

#### Return:

VoteAccount | VoteAccount

## Public Members

### public authorizedVoterPubkey: PublicKey source

### public commission: number source

### public credits: number source

### public epoch: number source

### public epochCredits: Array<EpochCredits> source

### public lastEpochCredits: number source

### public nodePubkey: PublicKey source

### public rootSlot: number | nullliteral source

### public votes: Array<Lockout> source